#!/bin/bash
#name:Discuz_BF.sh
# 这是一个备份网站目录的Shell程序

#crontab -e 启用定时任务 ***** 分 时 日 月 周 
#0 4 * * * /var/www/html/data_backup.sh


DATE=`date +%Y%m%d%H%M`                #every minute
DATA_NAME=www
BACKUP_PATH=/home/robin/mysql_backup/

#将html文件夹压缩到*.tar.gz
tar -zcvf ${BACKUP_PATH}${DATA_NAME}_${DATE}.tar.gz -C /var/www html/

#just backup the latest 5 days,保留5天的数据
find ${BACKUP_PATH} -mtime +5 -name "${DATA_NAME}_*.tar.gz" -exec rm -f {} \;
